Rivet: Metadata

| Rivet 3.1.9

Functions
Metadata

## Functions
std::string | Rivet::AnalysisInfo::name () const
void | Rivet::AnalysisInfo::setName (const std::string &name)
| Set the name of the analysis.
std::string | Rivet::AnalysisInfo::getRefDataName () const
| Get the reference data name of the analysis (if different from plugin name).
void | Rivet::AnalysisInfo::setRefDataName (const std::string &name)
| Set the reference data name of the analysis (if different from plugin name).
const std::string & | Rivet::AnalysisInfo::inspireId () const
| Get the Inspire (SPIRES replacement) ID code for this analysis.
void | Rivet::AnalysisInfo::setInspireId (const std::string &inspireId)
| Set the Inspire (SPIRES replacement) ID code for this analysis.
const std::string & | Rivet::AnalysisInfo::spiresId () const
void | Rivet::AnalysisInfo::setSpiresId (const std::string &spiresId)
const std::vector< std::string > & | Rivet::AnalysisInfo::authors () const
| Names & emails of paper/analysis authors.
void | Rivet::AnalysisInfo::setAuthors (const std::vector< std::string > &authors)
| Set the author list.
const std::string & | Rivet::AnalysisInfo::summary () const
| Get a short description of the analysis.
void | Rivet::AnalysisInfo::setSummary (const std::string &summary)
| Set the short description for this analysis.
const std::string & | Rivet::AnalysisInfo::description () const
| Get a full description of the analysis.
void | Rivet::AnalysisInfo::setDescription (const std::string &description)
| Set the full description for this analysis.
const std::string & | Rivet::AnalysisInfo::runInfo () const
| Information about the events needed as input for this analysis.
void | Rivet::AnalysisInfo::setRunInfo (const std::string &runInfo)
| Set the full description for this analysis.
const std::vector< PdgIdPair > & | Rivet::AnalysisInfo::beams () const
| Beam particle types.
void | Rivet::AnalysisInfo::setBeams (const std::vector< PdgIdPair > &beams)
| Set beam particle types.
const std::vector< std::pair< double, double > > & | Rivet::AnalysisInfo::energies () const
| Sets of valid beam energies.
void | Rivet::AnalysisInfo::setEnergies (const std::vector< std::pair< double, double > > &energies)
| Set the valid beam energies.
const std::string & | Rivet::AnalysisInfo::experiment () const
| Experiment which performed and published this analysis.
void | Rivet::AnalysisInfo::setExperiment (const std::string &experiment)
| Set the experiment which performed and published this analysis.
const std::string & | Rivet::AnalysisInfo::collider () const
| Collider on which the experiment ran.
void | Rivet::AnalysisInfo::setCollider (const std::string &collider)
| Set the collider on which the experiment ran.
const std::string & | Rivet::AnalysisInfo::year () const
| When the original experimental analysis was published.
void | Rivet::AnalysisInfo::setYear (const std::string &year)
| Set the year in which the original experimental analysis was published.
double | Rivet::AnalysisInfo::luminosityfb () const
| The integrated data luminosity of the data set in 1/fb.
double | Rivet::AnalysisInfo::luminosity () const
| The integrated data luminosity of the data set in 1/pb.
void | Rivet::AnalysisInfo::setLuminosityfb (const double luminosityfb)
| Set the integrated data luminosity of the data set.
const std::vector< std::string > & | Rivet::AnalysisInfo::references () const
| Journal and preprint references.
void | Rivet::AnalysisInfo::setReferences (const std::vector< std::string > &references)
| Set the journal and preprint reference list.
const std::vector< std::string > & | Rivet::AnalysisInfo::keywords () const
| Analysis keywords, for grouping etc.
void | Rivet::AnalysisInfo::setKeywords (const std::vector< std::string > &keywords)
const std::string & | Rivet::AnalysisInfo::warning () const
| Any warning message.
void | Rivet::AnalysisInfo::setWarning (const std::string warning)
const std::string & | Rivet::AnalysisInfo::refMatch () const
| Positive filtering regex for ref-data HepData sync.
void | Rivet::AnalysisInfo::setRefMatch (const std::string refmatch)
const std::string & | Rivet::AnalysisInfo::refUnmatch () const
| Negative filtering regex for ref-data HepData sync.
void | Rivet::AnalysisInfo::setRefUnmatch (const std::string refunmatch)
const std::string & | Rivet::AnalysisInfo::writerDoublePrecision () const
| Positive filtering regex for setting double precision in Writer.
void | Rivet::AnalysisInfo::setWriterDoublePrecision (const std::string dp)
const std::string & | Rivet::AnalysisInfo::bibKey () const
| BibTeX citation key for this article.
void | Rivet::AnalysisInfo::setBibKey (const std::string &bibKey)
| Set the BibTeX citation key for this article.
const std::string & | Rivet::AnalysisInfo::bibTeX () const
| BibTeX citation entry for this article.
void | Rivet::AnalysisInfo::setBibTeX (const std::string &bibTeX)
| Set the BibTeX citation entry for this article.
const std::vector< std::string > & | Rivet::AnalysisInfo::todos () const
| Any work to be done on this analysis.
void | Rivet::AnalysisInfo::setTodos (const std::vector< std::string > &todos)
| Set the to-do list.

## Detailed Description

Metadata is used for querying from the command line and also for building web pages and the analysis pages in the Rivet manual.

## Function Documentation

## ◆ authors()

const std::vector< std::string > & Rivet::AnalysisInfo::authors | ( |  | ) | const
| inline

Names & emails of paper/analysis authors.

Names and email of authors in 'NAME <EMAIL>' format. The first name in the list should be the primary contact person.

Referenced by Rivet::Analysis::authors(), and Rivet::AnalysisInfo::setAuthors().

## ◆ description()

const std::string & Rivet::AnalysisInfo::description | ( |  | ) | const
| inline

Get a full description of the analysis.

Full textual description of this analysis, what it is useful for, what experimental techniques are applied, etc. Should be treated as a chunk of restructuredText (http://docutils.sourceforge.net/rst.html), with equations to be rendered as LaTeX with amsmath operators.

Referenced by Rivet::Analysis::description(), and Rivet::AnalysisInfo::setDescription().

## ◆ name()

std::string Rivet::AnalysisInfo::name | ( |  | ) | const
| inline

Get the name of the analysis. By default this is computed using the experiment, year and Inspire/Spires ID metadata methods.

References Rivet::AnalysisInfo::experiment(), Rivet::AnalysisInfo::inspireId(), Rivet::AnalysisInfo::spiresId(), and Rivet::AnalysisInfo::year().

Referenced by Rivet::AnalysisInfo::getRefDataName(), Rivet::Analysis::name(), Rivet::AnalysisInfo::setName(), and Rivet::AnalysisInfo::setRefDataName().

## ◆ runInfo()

const std::string & Rivet::AnalysisInfo::runInfo | ( |  | ) | const
| inline

Information about the events needed as input for this analysis.

Event types, energies, kinematic cuts, particles to be considered stable, etc. etc. Should be treated as a restructuredText bullet list (http://docutils.sourceforge.net/rst.html)

Referenced by Rivet::Analysis::runInfo(), and Rivet::AnalysisInfo::setRunInfo().

## ◆ setSpiresId()

void Rivet::AnalysisInfo::setSpiresId | ( | const std::string & | spiresId | ) |
| inline

Set the SPIRES ID code for this analysis.

Deprecated:
  SPIRES itself is gone. Remove when all analyses migrated to I-names.

References Rivet::AnalysisInfo::spiresId().

## ◆ spiresId()

const std::string & Rivet::AnalysisInfo::spiresId | ( |  | ) | const
| inline

Get the SPIRES ID code for this analysis.

Deprecated:
  SPIRES itself is gone. Remove when all analyses migrated to I-names.

Referenced by Rivet::AnalysisInfo::name(), Rivet::AnalysisInfo::setSpiresId(), and Rivet::Analysis::spiresId().

## ◆ summary()

const std::string & Rivet::AnalysisInfo::summary | ( |  | ) | const
| inline

Get a short description of the analysis.

Short (one sentence) description used as an index entry. Use description() to provide full descriptive paragraphs of analysis details.

Referenced by Rivet::AnalysisInfo::setSummary(), and Rivet::Analysis::summary().

## ◆ year()

const std::string & Rivet::AnalysisInfo::year | ( |  | ) | const
| inline

When the original experimental analysis was published.

When the refereed paper on which this is based was published, according to Inspire-HEP.

Referenced by Rivet::AnalysisInfo::name(), Rivet::AnalysisInfo::setYear(), and Rivet::Analysis::year().